//*******************************************************
//
// DEBUG CODE
#define Debug
//
//*******************************************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Threading;
using System.Security.Cryptography;
using System.Text;

namespace Mutation
{
    static class Program
    {
        static byte[] Hash;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] Args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            //Application.Run(new Login());

            //// Check Globals
            //SHA1CryptoServiceProvider sha = new SHA1CryptoServiceProvider();
            //Hash = new byte[] { 0xF9, 0x47, 0x39, 0x37, 0x3A, 0x5E, 0x2C, 0x90, 0x3A, 0x50, 0x7C, 0x07, 0x5E, 0xFF, 0xAD, 0x23, 0x8D, 0x7B, 0x74, 0x94 };
            //byte[] Result = sha.ComputeHash(Encoding.ASCII.GetBytes(Global.Globals.Response));
            //for (int i = 0; i < 20; i++)
            //{
            //    if (Result[i] != Hash[i])
            //        Environment.Exit(-1);
            //}

            // Load Splash
            Splash s = new Splash();
            s.Show();

            // Wait
            Thread.Sleep(5000);
            s.Close();


            //Login Succeded
            DevExpress.UserSkins.BonusSkins.Register();
            Application.Run(new Main(Args));
        }
    }
}
